Generate Schema Description
curl --request POST \
--url https://config.heyhumm.ai/api/integration-sources/{source_id}/databases/{database_id}/schemas/{schema_id}/generate-description \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cascade_tables": true,
"overwrite_existing": false
}
'import requests
url = "https://config.heyhumm.ai/api/integration-sources/{source_id}/databases/{database_id}/schemas/{schema_id}/generate-description"
payload = {
"cascade_tables": True,
"overwrite_existing": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({cascade_tables: true, overwrite_existing: false})
};
fetch('https://config.heyhumm.ai/api/integration-sources/{source_id}/databases/{database_id}/schemas/{schema_id}/generate-description', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Generate Schema Description
Generate an AI-powered description for a single schema.
Analyzes schema metadata, table descriptions, and relationships to generate a concise, agent-optimized description.
Optionally generates missing table/column descriptions first (cascade_tables=True).
POST
/
api
/
integration-sources
/
{source_id}
/
databases
/
{database_id}
/
schemas
/
{schema_id}
/
generate-description
Generate Schema Description
Authorizations
HTTPBearerHTTPBearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Body
application/json
Response
Successful Response
⌘I